Loading...
Searching...
No Matches
Opm::TimerLog Class Reference
Inheritance diagram for Opm::TimerLog:

## Public Member Functions

| TimerLog (const std::string &logFile)
| TimerLog (std::ostream &os)
void | clear ()
Public Member Functions inherited from Opm::StreamLog
| StreamLog (const std::string &logFile, int64_t messageMask, bool append=false)
| StreamLog (std::ostream &os, int64_t messageMask)
Public Member Functions inherited from Opm::LogBackend
| LogBackend (int64_t mask)
| Construct with given message mask.
virtual | ~LogBackend ()
| Virtual destructor to enable inheritance.
void | setMessageFormatter (std::shared_ptr< MessageFormatterInterface > formatter)
| Configure how formatMessage() will modify message strings.
void | setMessageLimiter (std::shared_ptr< MessageLimiter > limiter)
| Configure how message tags will be used to limit messages.
void | addMessage (int64_t messageFlag, const std::string &message)
| Add a message to the backend if accepted by the message limiter.
void | addTaggedMessage (int64_t messageFlag, const std::string &messageTag, const std::string &message)
| Add a tagged message to the backend if accepted by the message limiter.
int64_t | getMask () const
| The message mask types are specified in the Opm::Log::MessageType namespace, in file LogUtils.hpp.

## Static Public Attributes

static const int64_t | StartTimer = 4096
static const int64_t | StopTimer = 8192

## Protected Member Functions

void | addMessageUnconditionally (int64_t messageFlag, const std::string &message) override
| This is the method subclasses should override.
Protected Member Functions inherited from Opm::LogBackend
std::string | formatMessage (int64_t messageFlag, const std::string &message)
| Return decorated version of message depending on configureDecoration() arguments.

## Member Function Documentation

## addMessageUnconditionally()

void Opm::TimerLog::addMessageUnconditionally | ( | int64_t | messageFlag,
|  | const std::string & | message )

override protected virtual

This is the method subclasses should override.

Typically a subclass may filter, change, and output messages based on configuration and the messageFlag.

Reimplemented from Opm::StreamLog.

The documentation for this class was generated from the following files:

- opm/common/OpmLog/TimerLog.hpp
- opm/common/OpmLog/TimerLog.cpp